> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/primary-issues/primary-offer-function.md).

# Primary offer function

The following function is to be called on the Primary issue manager contract in the SDK.&#x20;

### **Offering security tokens for a Primary issue**

```typescript
offer( owned: string, 
       isin: string, 
       offered:string, 
       tomatch:string, 
       desired:string, 
       min:string, 
       issuer: string,
       docs: string
   )
```

| owned   | address of security token offered                                                       |
| ------- | --------------------------------------------------------------------------------------- |
| isin    | string identifier of security token offered                                             |
| offered | amount of security token offered for sale                                               |
| tomatch | address of cash token to be paired in liquidity pool for primary issue                  |
| desired | amount of subscription capital to be raised which sets the upper bound on price curve   |
| min     | minimum subscription capital acceptable to issuer which sets lower bound on price curve |
| issuer  | address of issuer that makes the primary offer                                          |
| docs    | string with ipfs url of offering documents                                              |

Please note that the application user that calls the above function should first `approve` the security token for an amount offered.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/primary-issues/primary-offer-function.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
